﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XamDataGridCellMergeSelectionIssue.Model;

namespace XamDataGridCellMergeSelectionIssue.ViewModel
{
    public class MainWindowViewModel : ObservableObjects
    {
        #region Constructor
        public MainWindowViewModel()
        {
            StudentInfoCollection = new ObservableCollection<StudentInfo>();
            LoadCollection();
        }
        #endregion
        #region Properties
        private ObservableCollection<StudentInfo> _studentInfoCollection;
        public  ObservableCollection<StudentInfo> StudentInfoCollection
        {
            get { return _studentInfoCollection; }
            set { _studentInfoCollection = value; OnPropertyChanged(); }
        }
        #endregion
        #region Methods
        private void LoadCollection()
        {
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 15, StudentCountry = "USA", StudentName = "Jack" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 15, StudentCountry = "USA", StudentName = "James" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 15, StudentCountry = "Australia", StudentName = "Steve" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 15, StudentCountry = "New Zealand", StudentName = "Mitchel" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 15, StudentCountry = "India", StudentName = "Kevin" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 18, StudentCountry = "India", StudentName = "Krishna" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 18, StudentCountry = "England", StudentName = "Joe" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 18, StudentCountry = "Switzerland", StudentName = "David" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 25, StudentCountry = "Switzerland", StudentName = "Ricky" });
            StudentInfoCollection.Add(new StudentInfo() { StudentAge = 23, StudentCountry = "Australia", StudentName = "Daniel" });
        }
        #endregion
    }
}
